PROC SQL;
	SELECT sex
   		  ,age
		  ,SUBSTR(name, 1, 1) AS first_letter
		  ,COUNT(*) AS count
	FROM sashelp.class
	GROUP BY
	       sex
	      ,age
	      ,CALCULATED first_letter
	HAVING COUNT(*) > 1
	;
QUIT;

%PUT Duplicate count = &sqlobs.;