%MACRO abc123(in=, invar=, out=, outvar=, keep=N);
	DATA __abc123_new;
		SET &in.;
		&outvar. = UPCASE(&invar.);
	RUN;

	PROC SORT DATA = __abc123_new OUT = &out.;
		BY &outvar.;
	RUN;

	%if %upcase("&keep.") eq "N" %then %do;
		PROC DATASETS LIB = work NOLIST NOWARN;
			DELETE __abc123_: / MEMTYPE = ALL;
		RUN;
		QUIT;
	%end;
%MEND abc123;

%abc123(in=sashelp.class, invar=name, out=class_sort, outvar=name_upper)