OPTIONS PAGESIZE=60 LINESIZE=132 ORIENTATION=landscape;

%MACRO papermac(in=, ps=, ls=, orient=landscape);
	%LOCAL ps_in ls_in orient_in;
	%LET ps_in = %sysfunc(GETOPTION(pagesize,keyword));
	%LET ls_in = %sysfunc(GETOPTION(linesize,keyword));
	%LET orient_in = %sysfunc(GETOPTION(orientation,keyword));

	OPTIONS PAGESIZE=&ps. LINESIZE=&ls. ORIENTATION=&orient.;

	PROC PRINT DATA = &in.;
	RUN;

	OPTIONS &ps_in. &ls_in. &orient_in.;
%MEND papermac;

%papermac(in=sashelp.cars, ps=80, ls=72, orient=portrait)