TITLE1 "Original CLASS";
FOOTNOTE1 "Original CLASS";

%MACRO newtitle(in=
			   ,title1=
			   ,title2=
			   ,footnote1=
			   ,footnote2=
			   );
	%LOCAL oldt1 oldf1 oldt2 oldf2;
	%LET oldt1 =;
	%LET oldt2 =;
	%LET oldf1 =;
	%LET oldf2 =;

	DATA _NULL_;
		SET sashelp.vtitle;
		CALL SYMPUT(COMPRESS("OLD" || CATS(type, PUT(number, 8.))), STRIP(text));
	RUN;

	TITLE1 "&title1. ";
	TITLE2 "&title2. ";
	FOOTNOTE1 "&footnote1. ";
	FOOTNOTE2 "&footnote2. ";

	PROC PRINT DATA = &in.;
	RUN;

	TITLE1 "&oldt1. ";
	TITLE2 "&oldt2. ";
	FOOTNOTE1 "&oldf1. ";
	FOOTNOTE2 "&oldf2. ";
%MEND newtitle;

%newtitle(in=sashelp.class
         ,title1=Class
         ,footnote1=Complete
         )

PROC PRINT DATA = sashelp.class;
RUN;