DATA range1 (KEEP = name age agegroup);
	SET sashelp.class;
	SELECT;
		WHEN (age = .) PUT 'ER' 'ROR: ' name 'has a missing age';
		WHEN (age < 12) PUT 'WAR' 'NING: ' name 'is younger than 12';
		WHEN (12 <= age < 13) agegroup = '12';
		WHEN (13 <= age < 14) agegroup = '13';
		WHEN (14 <= age < 15) agegroup = '14';
		WHEN (15 <= age < 16) agegroup = '15';
		OTHERWISE PUT 'WAR' 'NING: ' name 'is older than 15';
	END;
RUN;

PROC FORMAT;
	VALUE testage
		12 = '12'
		13 = '13'
		14 = '14'
		15 = '15'
		OTHER = "value not in format testage"
		;
RUN;

DATA range2 (KEEP = name age agegroup);
	SET sashelp.class;
	LENGTH agegroup $50;
	agegroup = PUT(age, testage.);
RUN;