DATA testing1 (KEEP = name group);
	SET sashelp.class;
	IF name =: "A" THEN group = 1;
	ELSE IF name =: "J" THEN group = 2;
	ELSE IF name =: "P" THEN group = 3;
	ELSE IF name =: "R" THEN group = 4;
RUN;

DATA testing2 (KEEP = name group);
	SET sashelp.class;
	SELECT;
		WHEN (name =: "A") group = 1;
		WHEN (name =: "J") group = 2;
		WHEN (name =: "P") group = 3;
		WHEN (name =: "R") group = 4;
		OTHERWISE PUT 'WAR' 'NING: ' name 'has a missing group';
	END;
RUN;

PROC SQL;
	CREATE TABLE testing3 AS
		SELECT name
		      ,(CASE
				WHEN SUBSTR(name, 1, 1) = "A" THEN 1
				WHEN SUBSTR(name, 1, 1) = "J" THEN 2
				WHEN SUBSTR(name, 1, 1) = "P" THEN 3
				WHEN SUBSTR(name, 1, 1) = "R" THEN 4
				ELSE .
				END) AS group
		FROM sashelp.class
	;
QUIT;