DATA sasuser.graph2;
	SET sashelp.class;
	bmi = (weight / 2.2) / ((height * 2.54 / 100) ** 2);
	KEEP name sex height weight bmi;
RUN;

PROC SGPLOT DATA = sasuser.graph2;
	TITLE "Plot of BMI versus Name by Sex";
	NEEDLE X = name Y = bmi / GROUP = sex LINEATTRS = (THICKNESS=2);
RUN;